# Activity Relay Server

## Yet another powerful customizable ActivityPub relay server written in Go.

### Original Author:

> [yukimochi](https://github.com/yukimochi/Activity-Relay)

### Packages

- `github.com/lilfade/Activity-Relay/app`
- `github.com/lilfade/Activity-Relay/app/api`
- `github.com/lilfade/Activity-Relay/app/deliver`
- `github.com/lilfade/Activity-Relay/app/control`
- `github.com/lilfade/Activity-Relay/app/models`

### Requirements

- [Redis](https://github.com/antirez/redis)

# Run

> API Server

```bash
relay --config /path/to/config.yml server
```

> Job Worker

```bash
relay --config /path/to/config.yml worker
```

> CLI Management Utility

```bash
relay --config /path/to/config.yml control
```

## Config

> YAML Format

```yaml config.yml
ACTOR_PEM: /var/lib/relay/actor.pem
REDIS_URL: redis://redis:6379

RELAY_BIND: 0.0.0.0:8080
RELAY_DOMAIN: relay.toot.yukimochi.jp
RELAY_SERVICENAME: YUKIMOCHI Toot Relay Service
JOB_CONCURRENCY: 50
# RELAY_SUMMARY: |

# RELAY_ICON: https://
# RELAY_IMAGE: https://
```

# Environment Variables

```
This is ***Optional*** : When the `config.yml` file does not exist, use environment variables instead.
```

    - ACTOR_PEM
    - REDIS_URL
    - RELAY_BIND
    - RELAY_DOMAIN
    - RELAY_SERVICENAME
    - JOB_CONCURRENCY
    - RELAY_SUMMARY
    - RELAY_ICON
    - RELAY_IMAGE

# Documentation

See [GitHub wiki](https://github.com/lilfade/Activity-Relay/wiki) to build / install / manage relay.
